build:
  image: debian:bullseye
  stage: build
  variables:
    DEBIAN_FRONTEND: "noninteractive"
    DOCKER_DRIVER: overlay2
    DOCKER_TLS_CERTDIR: ""
    DOCKER_BUILDKIT: 1
    buildkit_progress: plain
    COMPOSE_DOCKER_CLI_BUILD: 1
  services:
    - docker:dind
  before_script:
    - apt update -y && apt install -y apt-transport-https ca-certificates curl gnupg lsb-release
    - curl -fsSL https://download.docker.com/linux/debian/gpg | gpg --dearmor -o /usr/share/keyrings/docker-archive-keyring.gpg
    - echo "deb [arch=amd64 signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://download.docker.com/linux/debian $(lsb_release -cs) stable" | tee /etc/apt/sources.list.d/docker.list > /dev/null
    - apt update -y && apt install -y docker-ce docker-ce-cli containerd.io
  script:
    - docker build -f userland/emulation/Dockerfile.box86 -t box86-debian userland/emulation/
    - docker export -o "debian-armhf.tar" `docker run -d box86-debian /bin/true`
    - gzip -c debian-armhf.tar > debian-armhf.tar.gz
    - rm debian-armhf.tar
  artifacts:
    paths:
      - debian-armhf.tar.gz
